Rivet: Quark composite functions

| Rivet 3.1.9

Functions
Quark composite functions

## Functions
bool | Rivet::PID::isReggeon (int pid)
| Is this a pomeron, odderon, or generic reggeon?
bool | Rivet::PID::isMeson (int pid)
| Check to see if this is a valid meson.
bool | Rivet::PID::isBaryon (int pid)
| Check to see if this is a valid baryon.
bool | Rivet::PID::isDiquark (int pid)
bool | Rivet::PID::isDiQuark (int pid)
bool | Rivet::PID::isPentaquark (int pid)
| Check to see if this is a valid pentaquark.
bool | Rivet::PID::isHadron (int pid)

## Detailed Description

## Function Documentation

## ◆ isBaryon()

bool Rivet::PID::isBaryon | ( | int | pid | ) |
| inline

Check to see if this is a valid baryon.

<

Todo:
  Why this special case with nJ = 0? What are these? Not listed in RPP MC doc...

Todo:
  This is more correct by the definition, but the PDG's entries 1212, 1214, 1216, 1218 and 2122, 2124, 2126, 2128 come out as invalid

References Rivet::PID::isBSM(), and Rivet::pid().

Referenced by Rivet::PID::charge3(), Rivet::Particle::isBaryon(), Rivet::PID::isBottomBaryon(), Rivet::PID::isCharmBaryon(), Rivet::PID::isHadron(), Rivet::PID::isHeavyBaryon(), Rivet::PID::isLightBaryon(), and Rivet::PID::isStrangeBaryon().

## ◆ isDiQuark()

bool Rivet::PID::isDiQuark | ( | int | pid | ) |
| inline

Deprecated:
  Use the nicer capitalisation isDiquark(pid)

References Rivet::pid().

Referenced by Rivet::PID::charge3().

## ◆ isHadron()

bool Rivet::PID::isHadron | ( | int | pid | ) |
| inline

Is this a valid hadron ID?

Note
  BSM hadrons, e.g. R-hadrons, don't count

References Rivet::PID::isBaryon(), Rivet::PID::isBSM(), Rivet::PID::isMeson(), Rivet::PID::isPentaquark(), and Rivet::pid().

Referenced by Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::hasDown(), Rivet::PID::hasStrange(), Rivet::PID::hasTop(), Rivet::PID::hasUp(), Rivet::PID::isBottomHadron(), Rivet::PID::isCharmHadron(), Rivet::Particle::isHadron(), Rivet::PID::isHeavyFlavor(), Rivet::PID::isHeavyHadron(), Rivet::PID::isLightHadron(), Rivet::PID::isStrangeHadron(), Rivet::PID::isStrongInteracting(), and Rivet::PID::isTransportable().

## ◆ isMeson()

bool Rivet::PID::isMeson | ( | int | pid | ) |
| inline

Check to see if this is a valid meson.

Todo:
  Remove special-casing for EvtGen

References Rivet::PID::isBSM(), Rivet::PID::isReggeon(), and Rivet::pid().

Referenced by Rivet::PID::charge3(), Rivet::PID::isBottomMeson(), Rivet::PID::isCharmMeson(), Rivet::PID::isHadron(), Rivet::PID::isHeavyMeson(), Rivet::PID::isLightMeson(), Rivet::Particle::isMeson(), Rivet::PID::isStrangeMeson(), Rivet::PID::lSpin(), and Rivet::PID::sSpin().